package cn.pluss.platform.api;

/**
 * 响应码枚举，参考HTTP状态码的语义
 */
public enum ResultCode {
    //成功
    SUCCESS(200),
    //失败
    FAIL(400),
    //未认证（签名错误）
    UNAUTHORIZED(401),
    //未认证（签名错误）
    PARAM_ERROR(422),
    // 403
    FORBIDDEN(403),
    //接口不存在
    NOT_FOUND(404),
    //服务器内部错误
    INTERNAL_SERVER_ERROR(500),
    // 服务不可达
    SERVICE_UNAVAILABLE(503),
    //未认证（签名错误）
	NOT_TOKEN(401),
    //无数据
	UNDEFINDE(201),
	/**
	 * 交易未知  查询交易结果
	 */
	TRANSUNKNOW(202);
	
    private final int code;

    ResultCode(int code) {
        this.code = code;
    }

    public int code() {
        return code;
    }
}
